SSIConditional (Apache Tomcat 9.0.73 API Documentation)

Package org.apache.catalina.ssi

## Class SSIConditional

- java.lang.Object
- - org.apache.catalina.ssi.SSIConditional

- All Implemented Interfaces:
    `SSICommand`

      public class SSIConditional
      extends java.lang.Object
      implements SSICommand

  SSI command that handles all conditional directives.
  Author:
    Paul Speed, David Becker

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SSIConditional()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `process​(SSIMediator ssiMediator, java.lang.String commandName, java.lang.String[] paramNames, java.lang.String[] paramValues, java.io.PrintWriter writer)` | Write the output of the command to the writer.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SSIConditional

          public SSIConditional()

  - ### Method Detail

    - #### process

          public long process​(SSIMediator ssiMediator,
                              java.lang.String commandName,
                              java.lang.String[] paramNames,
                              java.lang.String[] paramValues,
                              java.io.PrintWriter writer)
                       throws SSIStopProcessingException

      Description copied from interface: `SSICommand`
      Write the output of the command to the writer.
      Specified by:
        `process` in interface `SSICommand`
      Parameters:
        `ssiMediator` - the ssi mediator
        `commandName` - the name of the actual command ( ie. echo )
        `paramNames` - The parameter names
        `paramValues` - The parameter values
        `writer` - the writer to output to
      Returns:
        the most current modified date resulting from any SSI commands
      Throws:
        `SSIStopProcessingException` - if SSI processing should be aborted
      See Also:
        `SSICommand`